# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - taskgraph.transforms.from_deps
    - gecko_taskgraph.transforms.name_sanity
    - gecko_taskgraph.transforms.mar_signing
    - gecko_taskgraph.transforms.task

kind-dependencies:
    - repackage

task-defaults:
    run-on-repo-type: [hg]

only-for-build-platforms:
    - linux64-shippable/opt
    - linux64-aarch64-shippable/opt
    - macosx64-shippable/opt
    - win32-shippable/opt
    - win64-shippable/opt
    - win64-aarch64-shippable/opt
    - linux64-devedition/opt
    - linux64-aarch64-devedition/opt
    - macosx64-devedition/opt
    - win32-devedition/opt
    - win64-devedition/opt
    - win64-aarch64-devedition/opt
    - linux64-asan-reporter-shippable/opt
    - win64-asan-reporter-shippable/opt

tasks:
    mar-signing:
        from-deps:
            group-by: single-with-filters
        shipping-phase: promote
        treeherder-group: ms
        description-suffix: 'mar signing'
        required_signoffs:
            - mar-signing
